
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C++ STL之priority_queue / 憋错料</title>

    <meta name="description" content="C++ STL之priority_queue STL中的priority_queue(优先队列)是一种会按照自定义的一种方式(数据的优先级)来对队列中的数据进行动态的排序的容器,不同优先级的情况下,top()上永远是最高优先级的数据,其底层采用的是堆结构(默认大顶堆).注意相同优先级下并没有先进先出,后面的例子中可以看到 头文件#include&lt;queue&gt; 标准库默认使用元素类型的&lt;操作符来确定它们之间的优先级关系,数据越大优先级越高,想要改变优先级的界定方式的话需要重载&lt;操作符. 先看个最简单的: #includ ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">C++ STL之priority_queue</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>STL中的priority_queue(优先队列)是一种会按照自定义的一种方式（数据的优先级）来对队列中的数据进行动态的排序的容器，不同优先级的情况下，top()上永远是最高优先级的数据，其底层采用的是堆结构(默认大顶堆)。注意相同优先级下并没有先进先出，后面的例子中可以看到</p>
<p>头文件#include&lt;queue&gt;</p>
<p>标准库默认使用元素类型的&lt;操作符来确定它们之间的优先级关系，数据越大优先级越高，想要改变优先级的界定方式的话需要重载&lt;操作符。</p>
<p>先看个最简单的：</p>
<pre>#include&lt;iostream&gt;
#include&lt;queue&gt;
using namespace std;

int main()
{
    priority_queue&lt;int&gt;pq;
    pq.push(5);
    pq.push(4);
    pq.push(3);
    pq.push(4);
    pq.push(8);
    pq.push(2);
    while(!pq.empty())
    {
        cout&lt;&lt;pq.top()&lt;&lt;endl;
        pq.pop();
    }
    return 0;
}</pre>
<p>运行结果：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY1MjU4Mi8yMDE2MDEvNjUyNTgyLTIwMTYwMTI1MjIwMjU5MTc2LTE1NzA3NDYxMTgucG5n.jpg" /></p>
<p>下面再看一个例子：</p>
<pre>#include&lt;iostream&gt;
#include&lt;queue&gt;
using namespace std;
struct node
{
    int value;
    int pro;
    friend bool operator &lt;(node n1,node n2)//自定义priority_queue结构中优先级的界定方式
    {
        return n1.pro&lt;n2.pro;
    }
};
int main()
{
    priority_queue&lt;node&gt;pq;
    node temp;

    temp.pro=5;
    temp.value=10;
    pq.push(temp);

    temp.pro=4;
    temp.value=11;
    pq.push(temp);

    temp.pro=3;
    temp.value=7;
    pq.push(temp);

    temp.pro=4;
    temp.value=9;
    pq.push(temp);

    temp.pro=6;
    temp.value=9;
    pq.push(temp);

    temp.pro=4;
    temp.value=5;
    pq.push(temp);

    while(!pq.empty())
    {
        cout&lt;&lt;pq.top().pro&lt;&lt;" "&lt;&lt;pq.top().value&lt;&lt;endl;
        pq.pop();
    }
    return 0;
}</pre>
<p>结果：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY1MjU4Mi8yMDE2MDEvNjUyNTgyLTIwMTYwMTI1MjIxNjA2MTYwLTY4NDMyNTYzOC5wbmc=.jpg" /></p>
<p>从这个例子中可以看到，对于相同优先级的三个pro值为4的结构体，输入顺序中value值依次为11，9，5，而输出确实5,11,9，所以相同优先级的情况下并没有先进先出。</p>
<p>如果想把底层改成小顶堆结构，需要重载&lt;就可以了，如下面的例子：</p>
<pre>#include&lt;iostream&gt;
#include&lt;queue&gt;
using namespace std;
struct node
{
    int value;
    int pro;
    friend bool operator &lt;(node n1,node n2)//自定义priority_queue结构中优先级的界定方式
    {
        return n1.pro&gt;n2.pro;
    }
};
int main()
{
    priority_queue&lt;node&gt;pq;
    node temp;

    temp.pro=5;
    temp.value=10;
    pq.push(temp);

    temp.pro=4;
    temp.value=11;
    pq.push(temp);

    temp.pro=3;
    temp.value=7;
    pq.push(temp);

    temp.pro=4;
    temp.value=9;
    pq.push(temp);

    temp.pro=6;
    temp.value=9;
    pq.push(temp);

    temp.pro=4;
    temp.value=5;
    pq.push(temp);

    while(!pq.empty())
    {
        cout&lt;&lt;pq.top().pro&lt;&lt;" "&lt;&lt;pq.top().value&lt;&lt;endl;
        pq.pop();
    }
    return 0;
}</pre>
<p>结果如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY1MjU4Mi8yMDE2MDEvNjUyNTgyLTIwMTYwMTI1MjIyMzU0MDk4LTE0MzYwNDA3MDAucG5n.jpg" /></p>
<p>最后吐槽一下，priority_queue为什么会是一种queue呢？从它上面我根本没看到队列先进先出的特点。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 06:25:41 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>C++ STL之priority_queue的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02Z9Jp0.html" rel="bookmark">STL之priority&lowbar;queue&lpar;优先队列&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				priority_queue是一个容器适配器,在这个容器里第一个数据元素是最大的.它的使用场景是什么样:如果12306抢票,为什么黄牛能抢这么多票,感觉12306那边的请求队列是一个优先队列,黄牛的请求携带了一个隐含参数,所以他的请求最先执行.当然这是怀疑.不过也是优先级队列的使用场景.还可以进行排序,把数据压入优先队列中,然后出队列就是由大到小排列了 注意:stl的priority_queue容器需要一个boolean operator&lt;(const T&amp; ,const T&amp;)函数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nqJ9vM.html" rel="bookmark">STL学习&mdash;&mdash;Priority&lowbar;queue篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				STL学习--Priority_queue篇 概述 priority_queue是一个拥有权值观念的queue,它允许加入新元素,移除旧元素,审视元素值等功能.因为它是queue,故只允许底端加入元素,顶端取出元素.priorit_queue内元素并非依照被推入的次序排列,而是依照元素权值排列.权值最高者,排在最前面. 实现 priority_queue利用max_heap和vector表现的完全二叉树实现.它的实现完全以底部容器为根据,并使用heap处理规则,故实现简单.默认情况,使用vect			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41wNAY0.html" rel="bookmark">STL之priority&lowbar;queue的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				priority_queue的用法:这里先将一下STL里面的heap(堆),再来将如何使用heap来实现优先队列 在STL里面: 下面介绍STL中与堆相关的4个函数--建立堆make_heap(),在堆中添加数据push_heap(),在堆中删除数据pop_heap()和堆排序sort_heap(): 头文件 #include &lt;algorithm&gt; 下面的_First与_Last为可以随机访问的迭代器(指针),_Comp为比较函数(仿函数),其规则--如果函数的第一个参数小于第二个参数应返回			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0b9roeM.html" rel="bookmark">STL之priority&lowbar;queue</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				描述 使用STL中的优先队列,将一个字符串中的各个字符按照ASCII从大到小顺序排列. 部分代码已经给出,请补充完整,提交时请勿包含已经给出的代码. int main() { priority_queue&lt;char&gt; qu; int n; cin&gt;&gt;n; while(n--) { Input(qu); while(!qu.empty()) { cout&lt;&lt;qu.top(); qu.pop(); } cout&lt;&lt;endl; } return 0; } 输入 输			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eE5Na0.html" rel="bookmark">STL之priority&lowbar;queue为复合结构排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				priority_queue为复合结构排序: 1 #include &lt;iostream&gt; 2 #include &lt;queue&gt; 3 4 using namespace std; 5 struct Node{ 6 int x; 7 string y; 8 Node( int a= 0, string b = &quot;&quot; ): 9 x(a), y(b) {} 10 }; 11 bool operator&lt;( Node a, Node b ){ // 注意这里的顺序和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgYoVn3.html" rel="bookmark">STL容器 -- Priority&lowbar;Queue</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				核心:和队列相似,但优先队列中的 “下一个元素” 指的是 “优先级最高” 的元素. 头文件:#include&lt;queue&gt; 普通类型的构造方法: priority_queue&lt;int&gt; maxQu; //构造一个包含 int 型元素的优先队列,默认优先级为 int 元素的值越大则优先级越高 priority_queue&lt; int, vector&lt;int&gt;, greater&lt;int&gt; &gt; minQu; //构造一个包含 int 型元素的优先队列,优			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49wy7D0.html" rel="bookmark">【STL】priority&lowbar;queue 的自定义排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				重载 operator&lt; 或者自己写仿函数: 1 typedef struct{ 2 string name; 3 int rp; 4 }node; 5 6 bool operator &lt;( node x, node y ){ 7 if(x.rp&gt;y.rp) return 1; 8 else if(x.rp==y.rp &amp;&amp; x.name&lt;y.name) return 1; 9 return 0; 10 } 11 12 priority_queue &lt;node			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmWzGp3.html" rel="bookmark">优先队列 c&plus;&plus; STL之 priority&lowbar;queue</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				优先队列 基本操作: empty pop push size top 默认:从大到小排序:priority_queue&lt;int&gt;q 从小到大:priority_queue&lt;int,vector&lt;int&gt;,greater&lt;int&gt;&gt;q 原文地址:https://www.cnblogs.com/Frank-King/p/9931554.html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4ARm2zM.html" rel="bookmark">【STL】优先队列priority&lowbar;queue详解&plus;OpenJudge-4980拯救行动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.关于优先队列 队列(queue)这种东西广大OIer应该都不陌生,或者说,队列都不会你还学个卵啊(╯‵□′)╯︵┻━┻咳咳,通俗讲,队列是一种只允许从前端(队头)删除元素.从后端(队尾)插入元素的数据结构.而优先队列(priority queue)是一种赋予每个队列中元素以一个优先级的队列.在执行删除操作时,优先队列会删除具有最高优先级的元素.如此奇妙的优先队列有什么用呢,举个例子,给定一个长为n的序列和m组询问,对于每组询问,我们要找出删去序列中最小的数,再向序列加入一个数.朴素的想法是对			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0nvKp0.html" rel="bookmark" class="title">Selenium&plus;Python的环境配置</a>
					<div>
						因为项目的原因,最近较多的使用了UFT来进行自动化测试工作,半年没有使用Selenium了,于是在自己的电脑上重新配置了基于python3.x的selenium环境,配置过程大致如下: 1. Sele ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZjdp3.html" rel="bookmark" class="title">第一百二十六节，JavaScript，XPath操作xml节点</a>
					<div>
						第一百二十六节,JavaScript,XPath操作xml节点 学习要点: 1.IE中的XPath 2.W3C中的XPath 3.XPath跨浏览器兼容 XPath是一种节点查找手段,对比之前使用标准 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8ZbA3.html" rel="bookmark" class="title">Junit技巧</a>
					<div>
						测试套件: @RunWith(Suite.class) @Suite.SuiteClasses({TaskTest1.class, TaskTest2.class, TaskTest3.class}) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41gxNv0.html" rel="bookmark" class="title">傻傻分不清楚的php脚本路径</a>
					<div>
						 闲话就不说了,还是直接提出今天的问题,准确的说,对多个相似的 有关当前脚本信息的全局变量常量的区分. 先贴上代码: &lt;?php echo $_SERVER['PHP_SELF']; echo  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K2vEmM.html" rel="bookmark" class="title">hdu 1828 Picture&lpar;线段树轮廓线&rpar;</a>
					<div>
						Picture Time Limit: 6000/2000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)Total Sub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wRqKb0.html" rel="bookmark" class="title">sciencesoftware科学软件</a>
					<div>
						软件名称 软件分类 二级分类 更新日期 下载 GMS(Groundwater Modeling Solution) 10 地球地理软件 水资源 2014-09-28 下载 Data Desk 7 经济 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX7Okk4.html" rel="bookmark" class="title">书城项目第二阶段</a>
					<div>
						需求1:用户注册 需求如下: 1)访问注册页面 2)填写注册信息,提交给服务器 3)服务器应该保存用户 4)当用户已经存在----提示用户注册 失败,用户名已存在 5)当用户不存在-----注册成功  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qXLR3.html" rel="bookmark" class="title">在线计算器</a>
					<div>
						&lt;html&gt; &lt;head&gt; &lt;title&gt;计算器&lt;/title&gt; &lt;style&gt; .aa{ text-align: center; font ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5OLJ0.html" rel="bookmark" class="title">考研倒计时</a>
					<div>
						现在是2015.12.7,从8.10号开始复习考研,也没算到底坚持了多少天,日子一天天过去了,现在已经接近尾声. 想想自己已经好久没有开电脑了,手速都有问题了的感觉.每天早7晚11,身体状况也越来越差 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWNea4.html" rel="bookmark" class="title">Struts2之数据类型转换（一）</a>
					<div>
						如果我们在网页表单上填写数字,那么在后台我们是否需要手工把字符串转化为数字呢?   我们编写以下的程序: 1.创建文件login.jsp,核心内容如下: &lt;form action=&quot;l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35A9513.html" rel="bookmark" class="title">centos 6&period;4 使用sendmail发送邮件（cacti）</a>
					<div>
						1.下载安装sendEmail wget http://caspian.dotconf.net/menu/Software/SendEmail/sendEmail-v1.56.tar.gztar zx ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nPWW74.html" rel="bookmark" class="title">&amp;lt&semi;改变未来的九大算法&amp;gt&semi;读书笔记二</a>
					<div>
						原理 数据库的一致性 1.事务和代办事项表把戏(预写日志记录) 1.代办事项表把戏:先把要执行的的操作写入硬件,即写日志.即使数据库操作错误,也可根据日志来纠正.对日志的操作具有等幂性,即日志中的每项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgEl1n3.html" rel="bookmark" class="title">网络安装Centos 6&period;6 基本NFS</a>
					<div>
						原系统无法启动的就想借这个机会,放弃伟大windows os完全的投入linux的怀抱中.U盘安装的方法一下没有安装成的,这个以后还是要测试的. 正常今天的linux运维之道的书到了,开始就讲了系统的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0azJav3.html" rel="bookmark" class="title">java的垃圾回收机制（4）</a>
					<div>
						body { font-family: 微软雅黑,&quot;Microsoft YaHei&quot;, Georgia,Helvetica,Arial,sans-serif,宋体, PMingLi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXlgkaM.html" rel="bookmark" class="title">模运算法则</a>
					<div>
						模运算与基本四则运算有些相似,但是除法例外.其规则如下: (a + b) % p = (a % p + b % p) % p (a - b) % p = (a % p - b % p) % p (a  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NX87y0.html" rel="bookmark" class="title">atitit&period;设计模式&lpar;2&rpar; -----查表模式&sol; command 总结</a>
					<div>
						atitit.设计模式(2) -----查表模式/ command 总结 1. 应用场景: 1 1. 取代一瓦if else 1 2. 建设api rpc风格的时候儿. 1 3. 菜单是Command ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVRBqxM.html" rel="bookmark" class="title">黑马程序员 block，protocol</a>
					<div>
						#import &lt;Foundation/Foundation.h&gt; // 利用typedef创建block typedef int (^MyBlock) (int,int); // &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YWk1w4.html" rel="bookmark" class="title">在MyEclipse中如何去掉JS或jsp语法错误提示&excl;</a>
					<div>
						在MyEclipse中如何去掉JS或jsp语法错误提示! 关于在 MyEclipse 上 WEB 工程里面的 JS/JSP 经常会有语法错误提示,这是由于 MyEclipse 对其语法要求相当严格所造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lLyyo0.html" rel="bookmark" class="title">设计模式之桥梁模式</a>
					<div>
						桥梁模式亦是结构型设计模式的一种,从名字上理解,像是连接两个元素的一种模式,差不多可以这么理解,但桥梁模式并非是像适配器模式一样适配不适应的两个类的. 桥梁模式连接的抽象和实现,为了达到抽象和实现这两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OdjrK4.html" rel="bookmark" class="title">C语言-二进制技巧</a>
					<div>
						打开位: flags = flags | MASK 要打开的位为 1 关闭位: flags = flags &amp; ~MASK 要关闭的位为 1 转置位: flags = flags ^ MASK ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
